# Functor Nonnegative.Persistent

    module Persistent: functor (G : Sig.P) -> functor (W : WEIGHT  with type label = G.E.label) -> sig .. end

Persistent graphs with negative-cycle prevention

Parameters:

`G` | : | `Sig.P`
`W` | : | `WEIGHT with type label = G.E.label`

    include Sig.P

    exception Negative_cycle of G.E.t list

Exception `NegativeCycle` is raised whenever a negative cycle is introduced for the first time (either with `add_edge` or `add_edge_e`)